Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util
Class XMLValue.DefaultNamespaceXMLFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.apache.slide.util.XMLValue.DefaultNamespaceXMLFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

Enclosing class:
  XMLValue

protected static class XMLValue.DefaultNamespaceXMLFilter
extends org.xml.sax.helpers.XMLFilterImpl

This XMLFilter uses the given namespace as the default, means if no namespace is provided.

Field Summary
`(package private) org.jdom.Namespace` | `defaultNamespace` The namespace to use as default.

Constructor Summary
`XMLValue.DefaultNamespaceXMLFilter(org.jdom.Namespace defaultNamespace)` Creates a DefaultNamespaceXMLFilter which uses the given `defaultNamespace` as default namespace, means if no namespace is provided.

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Overwrite `endElement()` in order to provide the `defaultNamespace` if the current Element does not have any namespace.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Overwrite `startElement()` in order to provide the `defaultNamespace` if the current Element does not have any namespace.

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultNamespace

    org.jdom.Namespace defaultNamespace

  The namespace to use as default.

Constructor Detail

### XMLValue.DefaultNamespaceXMLFilter

    public XMLValue.DefaultNamespaceXMLFilter(org.jdom.Namespace defaultNamespace)

  Creates a DefaultNamespaceXMLFilter which uses the given `defaultNamespace` as default namespace, means if no namespace is provided.

Parameters:
  `defaultNamespace` - the Namespace to use as default. Must NOT be `null`.

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Overwrite `startElement()` in order to provide the `defaultNamespace` if the current Element does not have any namespace.

  Parameters:
    `namespaceURI` - the URI of the Namespace.
    `localName` - the name of the Element without any namspace prefix.
    `qName` - the full name of the Element (with the namespace prefix if there is one).
    `atts` - the Attributes of the element.
  Throws:
    `SaxException`
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Overwrite `endElement()` in order to provide the `defaultNamespace` if the current Element does not have any namespace.

  Parameters:
    `namespaceURI` - the URI of the Namespace.
    `localName` - the name of the Element without any namspace prefix.
    `qName` - the full name of the Element (with the namespace prefix if there is one).
  Throws:
    `SaxException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD